Package org.opensaml.saml.config.impl

# Class SAMLConfigurationInitializer

java.lang.Object
org.opensaml.saml.config.impl.SAMLConfigurationInitializer

All Implemented Interfaces:
  `Initializer`

public class SAMLConfigurationInitializer extends Object implements Initializer
An initializer which initializes the `SAMLConfiguration` instance held by the `ConfigurationService`.

This includes the artifact factories for SAML 1 and SAML 2 artifacts.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONFIG_PROP_PREFIX_DECODE`
Config property prefix for decoders.
`static final String`
`CONFIG_PROPERTY_DEFLATE_ESTIMATE`
Config property name: Estimate size of deflated data.
`static final String`
`CONFIG_PROPERTY_DEFLATE_INFLATION_FACTOR`
Config property name: Inflation factor for deflated data.
`static final String`
`CONFIG_PROPERTY_ENFORCE_KEYINFO_SIZE_LIMIT`
Config property name: Enforce KeyInfo size limit.
`static final String`
`CONFIG_PROPERTY_ENFORCE_REQUEST_SIZE_LIMIT`
Config property name: Enforce SAMLRequest size limit.
`static final String`
`CONFIG_PROPERTY_ENFORCE_RESPONSE_SIZE_LIMIT`
Config property name: Enforce SAMLResponse size limit.
`static final String`
`CONFIG_PROPERTY_KEYINFO_SIZE_LIMIT`
Config property name: KeyInfo size limit.
`static final String`
`CONFIG_PROPERTY_REQUEST_SIZE_LIMIT`
Config property name: SAMLRequest size limit.
`static final String`
`CONFIG_PROPERTY_RESPONSE_SIZE_LIMIT`
Config property name: SAMLResponse size limit.
`static final String`
`DEFLATE_ESTIMATE_DEFAULT`
Config property default: Estimate size of deflated data: true.
`static final String`
`DEFLATE_INFLATION_FACTOR_DEFAULT`
Config property default: Inflation factor for deflated data: 1.75.
`static final String`
`ENFORCE_KEYINFO_SIZE_LIMIT_DEFAULT`
Config property default: Enforce KeyInfo size limit: false.
`static final String`
`ENFORCE_REQUEST_SIZE_LIMIT_DEFAULT`
Config property default: Enforce SAMLRequest size limit: false.
`static final String`
`ENFORCE_RESPONSE_SIZE_LIMIT_DEFAULT`
Config property default: Enforce SAMLResponse size limit: false.
`static final String`
`KEYINFO_SIZE_LIMIT_DEFAULT`
Config property default: KeyInfo size limit: 2 MB.
`private org.slf4j.Logger`
`log`
Logger.
`static final String`
`REQUEST_SIZE_LIMIT_DEFAULT`
Config property default: SAMLRequest size limit: 1 MB.
`static final String`
`RESPONSE_SIZE_LIMIT_DEFAULT`
Config property default: SAMLResponse size limit: 2 MB.

## Constructor Summary

Constructors
Constructor
Description
`SAMLConfigurationInitializer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`init()`
Perform the initialization process encompassed by the implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONFIG_PROP_PREFIX_DECODE

public static final String CONFIG_PROP_PREFIX_DECODE
Config property prefix for decoders.

See Also:
  - Constant Field Values

### CONFIG_PROPERTY_ENFORCE_REQUEST_SIZE_LIMIT

public static final String CONFIG_PROPERTY_ENFORCE_REQUEST_SIZE_LIMIT
Config property name: Enforce SAMLRequest size limit.

See Also:
  - Constant Field Values

### ENFORCE_REQUEST_SIZE_LIMIT_DEFAULT

public static final String ENFORCE_REQUEST_SIZE_LIMIT_DEFAULT
Config property default: Enforce SAMLRequest size limit: false.

See Also:
  - Constant Field Values

### CONFIG_PROPERTY_REQUEST_SIZE_LIMIT

public static final String CONFIG_PROPERTY_REQUEST_SIZE_LIMIT
Config property name: SAMLRequest size limit.

See Also:
  - Constant Field Values

### REQUEST_SIZE_LIMIT_DEFAULT

public static final String REQUEST_SIZE_LIMIT_DEFAULT
Config property default: SAMLRequest size limit: 1 MB.

See Also:
  - Constant Field Values

### CONFIG_PROPERTY_ENFORCE_RESPONSE_SIZE_LIMIT

public static final String CONFIG_PROPERTY_ENFORCE_RESPONSE_SIZE_LIMIT
Config property name: Enforce SAMLResponse size limit.

See Also:
  - Constant Field Values

### ENFORCE_RESPONSE_SIZE_LIMIT_DEFAULT

public static final String ENFORCE_RESPONSE_SIZE_LIMIT_DEFAULT
Config property default: Enforce SAMLResponse size limit: false.

See Also:
  - Constant Field Values

### CONFIG_PROPERTY_RESPONSE_SIZE_LIMIT

public static final String CONFIG_PROPERTY_RESPONSE_SIZE_LIMIT
Config property name: SAMLResponse size limit.

See Also:
  - Constant Field Values

### RESPONSE_SIZE_LIMIT_DEFAULT

public static final String RESPONSE_SIZE_LIMIT_DEFAULT
Config property default: SAMLResponse size limit: 2 MB.

See Also:
  - Constant Field Values

### CONFIG_PROPERTY_ENFORCE_KEYINFO_SIZE_LIMIT

public static final String CONFIG_PROPERTY_ENFORCE_KEYINFO_SIZE_LIMIT
Config property name: Enforce KeyInfo size limit.

See Also:
  - Constant Field Values

### ENFORCE_KEYINFO_SIZE_LIMIT_DEFAULT

public static final String ENFORCE_KEYINFO_SIZE_LIMIT_DEFAULT
Config property default: Enforce KeyInfo size limit: false.

See Also:
  - Constant Field Values

### CONFIG_PROPERTY_KEYINFO_SIZE_LIMIT

public static final String CONFIG_PROPERTY_KEYINFO_SIZE_LIMIT
Config property name: KeyInfo size limit.

See Also:
  - Constant Field Values

### KEYINFO_SIZE_LIMIT_DEFAULT

public static final String KEYINFO_SIZE_LIMIT_DEFAULT
Config property default: KeyInfo size limit: 2 MB.

See Also:
  - Constant Field Values

### CONFIG_PROPERTY_DEFLATE_ESTIMATE

public static final String CONFIG_PROPERTY_DEFLATE_ESTIMATE
Config property name: Estimate size of deflated data.

See Also:
  - Constant Field Values

### DEFLATE_ESTIMATE_DEFAULT

public static final String DEFLATE_ESTIMATE_DEFAULT
Config property default: Estimate size of deflated data: true.

See Also:
  - Constant Field Values

### CONFIG_PROPERTY_DEFLATE_INFLATION_FACTOR

public static final String CONFIG_PROPERTY_DEFLATE_INFLATION_FACTOR
Config property name: Inflation factor for deflated data.

See Also:
  - Constant Field Values

### DEFLATE_INFLATION_FACTOR_DEFAULT

public static final String DEFLATE_INFLATION_FACTOR_DEFAULT
Config property default: Inflation factor for deflated data: 1.75.

See Also:
  - Constant Field Values

### log

@Nonnull private org.slf4j.Logger log
Logger.

## Constructor Details

### SAMLConfigurationInitializer

public SAMLConfigurationInitializer()

## Method Details

### init

public void init() throws InitializationException
Perform the initialization process encompassed by the implementation.

Specified by:
  `init` in interface `Initializer`
Throws:
  `InitializationException` - if initialization could not be completed successfully